#ifndef __rf_h_included__
#define __rf_h_included__

#define RF_1_LOW 120
#define RF_1_HIGH 58
#define RF_0_LOW 58
#define RF_0_HIGH 120
#define RF_START 58

#define RF_PORT PORTB
#define RF_SETMASK 0x01
#define RF_CLRMASK 0xfe

volatile unsigned char rf_next = 0;
volatile unsigned char rf_next_delay = 255;
volatile unsigned char rf_busy = 1;
volatile unsigned char rf_buffer[42];
volatile unsigned char rf_pos = 20;

volatile uint16_t rf_network_id = 0x0000;

void send_rf_frame (uint16_t network, unsigned char payload);


#endif /* __main_h_included__ */
